pctr_t Struct Reference

Generic event counter for profiling. More...

`#include <profile.h>`

## Data Fields

char * | name
| Counter print name; NULL terminates array of counters Used by pctr_print_all.
int32 | count
| Counter value.

## Detailed Description

Generic event counter for profiling.

User is responsible for allocating an array of the desired number. There should be a sentinel with name = NULL.

Definition at line 100 of file profile.h.

## Field Documentation

## count

int32 pctr_t::count

Counter value.

Definition at line 104 of file profile.h.

Referenced by pctr_increment(), pctr_new(), pctr_print(), and pctr_reset().

## name

char* pctr_t::name

Counter print name; NULL terminates array of counters Used by pctr_print_all.

Definition at line 101 of file profile.h.

Referenced by pctr_free(), pctr_new(), and pctr_print().

The documentation for this struct was generated from the following file:

- include/sphinxbase/profile.h